
package se.sll.wsdl.soap.osif;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the se.sll.wsdl.soap.osif package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GenerateChallengeRequest_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "generateChallengeRequest");
    private final static QName _EncodeTBSResponse_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "encodeTBSResponse");
    private final static QName _VerifyCertificateResponse_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "verifyCertificateResponse");
    private final static QName _VerifySignatureResponse_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "verifySignatureResponse");
    private final static QName _VerifyAuthenticationResponse_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "verifyAuthenticationResponse");
    private final static QName _VerifySignatureRequest_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "verifySignatureRequest");
    private final static QName _GenerateChallengeResponse_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "generateChallengeResponse");
    private final static QName _EncodeTBSRequest_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "encodeTBSRequest");
    private final static QName _VerifyAuthenticationRequest_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "verifyAuthenticationRequest");
    private final static QName _VerifyCertificateRequest_QNAME = new QName("urn:www.sll.se/wsdl/soap/osif", "verifyCertificateRequest");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: se.sll.wsdl.soap.osif
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Property }
     * 
     */
    public Property createProperty() {
        return new Property();
    }

    /**
     * Create an instance of {@link Status }
     * 
     */
    public Status createStatus() {
        return new Status();
    }

    /**
     * Create an instance of {@link VerifySignatureResponse }
     * 
     */
    public VerifySignatureResponse createVerifySignatureResponse() {
        return new VerifySignatureResponse();
    }

    /**
     * Create an instance of {@link EncodeTBSRequest }
     * 
     */
    public EncodeTBSRequest createEncodeTBSRequest() {
        return new EncodeTBSRequest();
    }

    /**
     * Create an instance of {@link VerifyCertificateResponse }
     * 
     */
    public VerifyCertificateResponse createVerifyCertificateResponse() {
        return new VerifyCertificateResponse();
    }

    /**
     * Create an instance of {@link VerifyAuthenticationRequest }
     * 
     */
    public VerifyAuthenticationRequest createVerifyAuthenticationRequest() {
        return new VerifyAuthenticationRequest();
    }

    /**
     * Create an instance of {@link EncodeTBSResponse }
     * 
     */
    public EncodeTBSResponse createEncodeTBSResponse() {
        return new EncodeTBSResponse();
    }

    /**
     * Create an instance of {@link GenerateChallengeResponse }
     * 
     */
    public GenerateChallengeResponse createGenerateChallengeResponse() {
        return new GenerateChallengeResponse();
    }

    /**
     * Create an instance of {@link VerifyCertificateRequest }
     * 
     */
    public VerifyCertificateRequest createVerifyCertificateRequest() {
        return new VerifyCertificateRequest();
    }

    /**
     * Create an instance of {@link VerifySignatureRequest }
     * 
     */
    public VerifySignatureRequest createVerifySignatureRequest() {
        return new VerifySignatureRequest();
    }

    /**
     * Create an instance of {@link VerifyAuthenticationResponse }
     * 
     */
    public VerifyAuthenticationResponse createVerifyAuthenticationResponse() {
        return new VerifyAuthenticationResponse();
    }

    /**
     * Create an instance of {@link GenerateChallengeRequest }
     * 
     */
    public GenerateChallengeRequest createGenerateChallengeRequest() {
        return new GenerateChallengeRequest();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateChallengeRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "generateChallengeRequest")
    public JAXBElement<GenerateChallengeRequest> createGenerateChallengeRequest(GenerateChallengeRequest value) {
        return new JAXBElement<GenerateChallengeRequest>(_GenerateChallengeRequest_QNAME, GenerateChallengeRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EncodeTBSResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "encodeTBSResponse")
    public JAXBElement<EncodeTBSResponse> createEncodeTBSResponse(EncodeTBSResponse value) {
        return new JAXBElement<EncodeTBSResponse>(_EncodeTBSResponse_QNAME, EncodeTBSResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyCertificateResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "verifyCertificateResponse")
    public JAXBElement<VerifyCertificateResponse> createVerifyCertificateResponse(VerifyCertificateResponse value) {
        return new JAXBElement<VerifyCertificateResponse>(_VerifyCertificateResponse_QNAME, VerifyCertificateResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifySignatureResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "verifySignatureResponse")
    public JAXBElement<VerifySignatureResponse> createVerifySignatureResponse(VerifySignatureResponse value) {
        return new JAXBElement<VerifySignatureResponse>(_VerifySignatureResponse_QNAME, VerifySignatureResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyAuthenticationResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "verifyAuthenticationResponse")
    public JAXBElement<VerifyAuthenticationResponse> createVerifyAuthenticationResponse(VerifyAuthenticationResponse value) {
        return new JAXBElement<VerifyAuthenticationResponse>(_VerifyAuthenticationResponse_QNAME, VerifyAuthenticationResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifySignatureRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "verifySignatureRequest")
    public JAXBElement<VerifySignatureRequest> createVerifySignatureRequest(VerifySignatureRequest value) {
        return new JAXBElement<VerifySignatureRequest>(_VerifySignatureRequest_QNAME, VerifySignatureRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GenerateChallengeResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "generateChallengeResponse")
    public JAXBElement<GenerateChallengeResponse> createGenerateChallengeResponse(GenerateChallengeResponse value) {
        return new JAXBElement<GenerateChallengeResponse>(_GenerateChallengeResponse_QNAME, GenerateChallengeResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link EncodeTBSRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "encodeTBSRequest")
    public JAXBElement<EncodeTBSRequest> createEncodeTBSRequest(EncodeTBSRequest value) {
        return new JAXBElement<EncodeTBSRequest>(_EncodeTBSRequest_QNAME, EncodeTBSRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyAuthenticationRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "verifyAuthenticationRequest")
    public JAXBElement<VerifyAuthenticationRequest> createVerifyAuthenticationRequest(VerifyAuthenticationRequest value) {
        return new JAXBElement<VerifyAuthenticationRequest>(_VerifyAuthenticationRequest_QNAME, VerifyAuthenticationRequest.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VerifyCertificateRequest }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "urn:www.sll.se/wsdl/soap/osif", name = "verifyCertificateRequest")
    public JAXBElement<VerifyCertificateRequest> createVerifyCertificateRequest(VerifyCertificateRequest value) {
        return new JAXBElement<VerifyCertificateRequest>(_VerifyCertificateRequest_QNAME, VerifyCertificateRequest.class, null, value);
    }

}
